
html,
body {
    margin: 0;
    height: 100%;
    width:100%;
    font-family: Exo, sans-serif;
}

.site-header {
    height: 7vh;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    z-index: 1000;

}

.inactive {
    visibility: hidden;
}

.site-logo {
    
    display: flex;
    align-items: center;
}

.site-logo img {
    width: 200px;
    height: 40px;
    object-fit: contain;
}

.main-nav {
    padding-right: 20px;
}

.main-nav ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

.main-nav li {
    position: relative;
    margin: 0 3px;
}

.main-nav a {
    display: block;
    padding: 20px 4px;
    text-decoration: none;
    color: #000;
    font-size: 16px;
}

.main-nav a:hover {
    opacity: .7;
}

.main-nav a.active {
    position: relative;
}

.main-nav a.active::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 10px;
    width: 100%;
    height: 2px;
    background: #000;
}

.desktop-dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    background: #fff;
    display: none;
    flex-direction: column;
    min-width: 220px;
    list-style: none;
    padding: 8px 0;
    margin: 0;
    box-shadow: 0 4px 12px rgba(0, 0, 0, .15);
    border-radius: 0 0 10px 10px;
}

.inactive-animation {
    visibility: hidden;
}

.desktop-dropdown li {
    margin: 0;
}

.desktop-dropdown a {
    padding: 10px 15px;
}

.main-nav li:hover>.desktop-dropdown {
    display: flex;
}

.nav-toggle {
    display: none;
    flex-direction: column;
    gap: 5px;
    margin-right: 20px;
    cursor: pointer;
}

.nav-toggle span {
    width: 26px;
    height: 3px;
    background: #000;
}

.mobile-menu {
    position: fixed;
    top: 0;
    right: 0%;
    width: 280px;
    max-width: 80%;
    height: 100vh;
    background: #fff;
    transition: right .3s ease;
    z-index: 2000;
    box-shadow: -5px 0 20px rgba(0, 0, 0, .15);
    overflow-y: auto;
}

.mobile-menu.open {
    right: 0;
}

.mobile-menu-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
}

.close-btn {
    background: none;
    border: 0;
    font-size: 34px;
    cursor: pointer;
}

.mobile-menu ul {
    list-style: none;
    margin: 0;
    padding: 0 20px;
}

.mobile-menu li {
    margin: 0;
}

.mobile-menu a {
    display: block;
    padding: 12px 14px;
    margin: 5px 0;
    background: #f2f2f2;
    border-radius: 8px;
    text-decoration: none;
    color: #000;
}

.mobile-menu a.active {
    background: #4c4c4c;
    color: #fff;
}

.mobile-dropdown {
    display: none;
    padding-left: 15px;
}

@media (max-width:1032px) {
    .main-nav {
        display: none;
    }

    .nav-toggle {
        display: flex;
    }

}

.main-nav>ul>li:has(ul)>ul {
    visibility: hidden;
}

.main-nav>ul>li:hover>ul {
    visibility: visible;
}

.dropdown-open>.mobile-dropdown {
    display: flex;
    width: 100%;
    flex-direction: column;
    padding-right: 0;
    width: auto;
}

.mobilemenu open {
    margin-right: 20px;
}

active-mobile-dropdown {
	visibility: visible !important;
	display: block !important;
}

#mobile_dropdown_contnent {
	padding-right: 0 !important;
}


.anim-container {
	z-index: -100;
    position: relative;
    width: 100%;
    height: 35vh;
    background-image:
        linear-gradient(rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
        url(' /wp-content/images/dark_cinematic_neuronal_network_abstract.jpg');
    background-position: center, center;
    background-size: cover, cover;
	background-repeat: no-repeat, no-repeat;
   	border-radius: 0px 0px 75px 0px;
    overflow: hidden;
}

@media (max-width: 768px) {
    .anim-container {
        height: 25vh;
        border-radius: 0px 0px 40px 0px;
    }
}

.anim-canvas {
	z-index: 100;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    display: block;
}

.anim-ball {
	z-index: 110;
    position: absolute;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    transform: translate(-50%, -50%);
    background: white;
}

.anim-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.9);
    color: white;
    font-size: 32px;
    opacity: 0;
    transition: all 0.6s ease;
    white-space: nowrap;
}

@media (max-width: 768px) {
    .anim-ball {
        width: 8px;
        height: 8px;
    }

    .anim-text {
        font-size: 20px;
    }
}

#hid_arr_con {
	height: 0 !important;
}